routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/locale/{locale}', 'IndexController@changeLocale')->name('locale');

Route::group(['middleware' => ['set_locale']], function () {
    Route::get('/', 'IndexController@showIndex')->name('index');
    Route::post( '/', 'IndexController@indexForm')->name('form');
    Route::get('/servis', 'ServisController@show')->name('servis');
});

Route::get('/register', 'UserController@create')->name('register.create');
Route::post('/register', 'UserController@store')->name('register.store');

Route::get('/login', 'UserController@loginForm')->name('login.form');
Route::post('/login', 'UserController@login')->name('login');
Route::get('/logout', 'UserController@logout')->name('logout');




Route::group(['middleware' => 'auth'], function (){
    Route::get('/main', function(){return view('user.admin_main');})->name('admin.main');
    Route::resource('crudnews', 'NewsController');
    Route::resource('crudprices', 'PriceController');
});

app/Models/User.php
<?php

namespace App\Models;

use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;

class User extends Authenticatable
{
    use HasFactory, Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'name', 'email', 'password',
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password', 'remember_token',
    ];

    /**
     * The attributes that should be cast to native types.
     *
     * @var array
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
    ];
}

app/Http/Controllers/UserController.php
<?php

namespace App\Http\Controllers;

use App\Models\User;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Hash;

class UserController extends Controller
{
        public function create(){
                return view('user.create');
        }

        public function store(Request $request){

            $request->validate([
                'name' => 'required',
                'email' => 'required|email|unique:users',
                'password' => 'required|confirmed',
            ]);

            $user = User::create([
                'name' => $request->name,
                'email' => $request->email,
                'password' => Hash::make($request->password)
            ]);

            session()->flash('success', 'Ты зарегистрировался');
            Auth::login($user);
            return redirect()->route('admin.main');
        }

        public function loginForm(){
            return view('user.login');
        }

        public function login(Request $request){


            $request->validate([
                'email' => 'required',
                'password' => 'required'
            ]);

            if (Auth::attempt([
                'email' => $request->email,
                'password' => $request->password,

            ])) {
                return redirect()->route('admin.main');
            }
            return redirect()->back()->with('error', 'Введите корректные данные');
        }

        public function logout(){
            Auth::logout();
            return redirect()->route('login.form');
        }
}

resources/views/user/admin_main.blade.php
@extends('layout.admin_layout')

    @section('admin_content')

            <div class="admin__header-inner">
                <div class="admin__container">
                <div class="admin__header__menu">
                    <ul class="admin__header__menu-list">
                        <li><a href="{{route('crudnews.index')}}">Новости</a></li>
                        <li><a href="{{route('crudprices.index')}}">Виды работ</a></li>
                        <li><a href="{{route('logout')}}">Выход</a></li>
                    </ul>
                    <h1 class="admin-main__login">Добро пожаловать в панель администратора. Здесь вы можете изменять некоторые блоки вашего сайта</h1>
                </div>

                </div>

            </div>


    @endsection

resources/views/user/create.blade.php
@extends('layout.admin_layout')

@section('admin_content')

    <div class="admin__container">
        @if ($errors->any())
            <div class="alert-danger">
                <ul>
                    @foreach ($errors->all() as $error)
                        <li>{{ $error }}</li>
                    @endforeach
                </ul>
            </div>
        @endif
        @if (session()->has('error'))
            <div class="alert-danger">
                {{ session('error') }}
            </div>
        @endif
        @if (session()->has('success'))
            <div class="alert-success">
                {{ session('success') }}
            </div>
        @endif
        <form method="post" action="">
            @csrf
            <div class="form-group">
                <label for="name">Name</label><br>
                <input type="text" name="name" value="{{old('name')}}">
            </div>
            <div class="form-group">
                <label for="email">Email</label><br>
                <input type="email" name="email" id="email" value="{{old('email')}}">
            </div>
            <div class="form-group">
                <label for="password">Password</label><br>
                <input type="password" id="password" name="password">
            </div>
            <div class="form-group">
                <label for="password_confirmation">Confirm password</label><br>
                <input type="password" id="password_confirmation" name="password_confirmation">
            </div>
            <button type="submit">Отправить</button>
        </form>
    </div>

@endsection

resources/views/user/login.blade.php
@extends('layout.admin_layout')

@section('admin_content')

    <div class="admin__container">
        @if ($errors->any())
            <div class="alert-danger">
                <ul>
                    @foreach ($errors->all() as $error)
                        <li>{{ $error }}</li>
                    @endforeach
                </ul>
            </div>
        @endif
        @if (session()->has('error'))
            <div class="alert-danger">
                {{ session('error') }}
            </div>
        @endif
        @if (session()->has('success'))
            <div class="alert-success">
                {{ session('success') }}
            </div>
        @endif
        <form method="post">
            @csrf
            <div class="form-group">
                <label for="email">Email</label><br>
                <input type="email" name="email" value="{{old('email')}}">
            </div>
            <div class="form-group">
                <label for="password">Password</label><br>
                <input type="password" name="password" value="{{old('password')}}">
            </div>
            <button type="submit">Войти</button>
        </form>
    </div>

@endsection